Index: c/src/lib/libbsp/hppa1.1/simhppa/ChangeLog
===================================================================
--- c/src/lib/libbsp/hppa1.1/simhppa/ChangeLog	(revision a46e5eb62ac48fef82fc4645002c935538eecfb0)
+++ c/src/lib/libbsp/hppa1.1/simhppa/ChangeLog	(revision c687fedaadabc0a7b005582d0869b416da754569)
@@ -1,2 +1,10 @@
+2002-08-11	Ralf Corsepius <corsepiu@faw.uni-ulm.de>
+
+	* shmsupp/Makefile.am: Use .$(OBJEXT) instead of .o.
+ 	* start/Makefile.am: Use .$(OBJEXT) instead of .o.
+ 	* startup/Makefile.am: Use .$(OBJEXT) instead of .o.
+ 	* tty/Makefile.am: Use .$(OBJEXT) instead of .o.
+ 	* wrapup/Makefile.am: Use .$(OBJEXT) instead of .o.
+
 2002-07-21	Ralf Corsepius <corsepiu@faw.uni-ulm.de>
 
Index: c/src/lib/libbsp/hppa1.1/simhppa/shmsupp/Makefile.am
===================================================================
--- c/src/lib/libbsp/hppa1.1/simhppa/shmsupp/Makefile.am	(revision a46e5eb62ac48fef82fc4645002c935538eecfb0)
+++ c/src/lib/libbsp/hppa1.1/simhppa/shmsupp/Makefile.am	(revision c687fedaadabc0a7b005582d0869b416da754569)
@@ -7,5 +7,5 @@
 
 C_FILES = addrconv.c cause_intr.c getcfg.c lock.c mpisr.c
-C_O_FILES = $(C_FILES:%.c=$(ARCH)/%.o)
+C_O_FILES = $(C_FILES:%.c=$(ARCH)/%.$(OBJEXT))
 
 OBJS = $(C_O_FILES)
Index: c/src/lib/libbsp/hppa1.1/simhppa/start/Makefile.am
===================================================================
--- c/src/lib/libbsp/hppa1.1/simhppa/start/Makefile.am	(revision a46e5eb62ac48fef82fc4645002c935538eecfb0)
+++ c/src/lib/libbsp/hppa1.1/simhppa/start/Makefile.am	(revision c687fedaadabc0a7b005582d0869b416da754569)
@@ -4,5 +4,5 @@
 
 S_FILES = start.S
-S_O_FILES = $(S_FILES:%.S=$(ARCH)/%.o)
+S_O_FILES = $(S_FILES:%.S=$(ARCH)/%.$(OBJEXT))
 
 OBJS = $(S_O_FILES)
@@ -16,10 +16,10 @@
 #
 
-bsplib_DATA = $(PROJECT_RELEASE)/lib/start$(LIB_VARIANT).o
+bsplib_DATA = $(PROJECT_RELEASE)/lib/start$(LIB_VARIANT).$(OBJEXT)
 
-$(PROJECT_RELEASE)/lib/start$(LIB_VARIANT).o: $(ARCH)/start.o
+$(PROJECT_RELEASE)/lib/start$(LIB_VARIANT).$(OBJEXT): $(ARCH)/start.$(OBJEXT)
 	$(INSTALL_DATA) $< $@
 
-TMPINSTALL_FILES += $(PROJECT_RELEASE)/lib/start$(LIB_VARIANT).o
+TMPINSTALL_FILES += $(PROJECT_RELEASE)/lib/start$(LIB_VARIANT).$(OBJEXT)
 
 all-local: $(ARCH) $(OBJS) $(TMPINSTALL_FILES)
Index: c/src/lib/libbsp/hppa1.1/simhppa/startup/Makefile.am
===================================================================
--- c/src/lib/libbsp/hppa1.1/simhppa/startup/Makefile.am	(revision a46e5eb62ac48fef82fc4645002c935538eecfb0)
+++ c/src/lib/libbsp/hppa1.1/simhppa/startup/Makefile.am	(revision c687fedaadabc0a7b005582d0869b416da754569)
@@ -10,5 +10,5 @@
 C_FILES = bspclean.c bsplibc.c bsppost.c bspstart.c bootcard.c main.c sbrk.c \
     setvec.c gnatinstallhandler.c
-C_O_FILES = $(C_FILES:%.c=$(ARCH)/%.o)
+C_O_FILES = $(C_FILES:%.c=$(ARCH)/%.$(OBJEXT))
 
 OBJS = $(C_O_FILES)
Index: c/src/lib/libbsp/hppa1.1/simhppa/tty/Makefile.am
===================================================================
--- c/src/lib/libbsp/hppa1.1/simhppa/tty/Makefile.am	(revision a46e5eb62ac48fef82fc4645002c935538eecfb0)
+++ c/src/lib/libbsp/hppa1.1/simhppa/tty/Makefile.am	(revision c687fedaadabc0a7b005582d0869b416da754569)
@@ -7,5 +7,5 @@
 
 C_FILES = tty.c
-C_O_FILES = $(C_FILES:%.c=$(ARCH)/%.o)
+C_O_FILES = $(C_FILES:%.c=$(ARCH)/%.$(OBJEXT))
 
 OBJS = $(C_O_FILES)
Index: c/src/lib/libbsp/hppa1.1/simhppa/wrapup/Makefile.am
===================================================================
--- c/src/lib/libbsp/hppa1.1/simhppa/wrapup/Makefile.am	(revision a46e5eb62ac48fef82fc4645002c935538eecfb0)
+++ c/src/lib/libbsp/hppa1.1/simhppa/wrapup/Makefile.am	(revision c687fedaadabc0a7b005582d0869b416da754569)
@@ -21,5 +21,5 @@
 
 # bummer; have to use $foreach since % pattern subst rules only replace 1x
-OBJS = $(foreach piece, $(BSP_FILES), $(wildcard ../$(piece)/$(ARCH)/*.o)) \
+OBJS = $(foreach piece, $(BSP_FILES), $(wildcard ../$(piece)/$(ARCH)/*.$(OBJEXT))) \
     $(foreach piece, $(CPU_FILES), ../../../../libcpu/$(RTEMS_CPU)/$(piece)/$(ARCH)/$(piece).rel) \
     $(foreach piece, $(GENERIC_FILES), ../../../$(piece)/$(ARCH)/$(piece).rel)
